package opc.ua.services.sets;

import opc.ua.services.common.RequestHeader;
import opc.ua.services.common.ResponseHeader;

public class CloseSession {

	/**
	 * request
	 */
	private RequestHeader requestHeader;
	private boolean deleteSubscriptions;
	
	/**
	 * response
	 */
	private ResponseHeader responseHeader;

	public RequestHeader getRequestHeader() {
		return requestHeader;
	}

	public void setRequestHeader(RequestHeader requestHeader) {
		this.requestHeader = requestHeader;
	}

	public boolean isDeleteSubscriptions() {
		return deleteSubscriptions;
	}

	public void setDeleteSubscriptions(boolean deleteSubscriptions) {
		this.deleteSubscriptions = deleteSubscriptions;
	}

	public ResponseHeader getResponseHeader() {
		return responseHeader;
	}

	public void setResponseHeader(ResponseHeader responseHeader) {
		this.responseHeader = responseHeader;
	}
	
}
